Name:           perl-IO-Tee
Version:        0.66
Release:    2%{?dist}
Summary:        Multiplex output to multiple output handles
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Tee
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/IO-Tee-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(parent)
BuildRequires:  perl(Symbol)

%description
IO::Tee objects can be used to multiplex input and output in two different
ways. The first way is to multiplex output to zero or more output handles.
The IO::Tee constructor, given a list of output handles, returns a tied
handle that can be written to. When written to (using print or printf), the
IO::Tee object multiplexes the output to the list of handles originally
passed to the constructor. As a shortcut, you can also directly pass a
string or an array reference to the constructor, in which case
IO::File::new is called for you with the specified argument or arguments.

%prep
%setup -q -n IO-Tee-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.66-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-1
- initial build
